> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information on the per entity validator consolidation churn capacity of Ethereum.

> This endpoint returns summarized information on the validator consolidation churn limit of the Ethereum network, broken down per entity.



## OpenAPI

````yaml get /v1/eth/consolidationCapacity/entity
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth/consolidationCapacity/entity:
    get:
      tags:
        - Network
      summary: >-
        Get information on the per entity validator consolidation churn capacity
        of Ethereum.
      description: >-
        This endpoint returns summarized information on the validator
        consolidation churn limit of the Ethereum network, broken down per
        entity.
      operationId: >-
        get_network_consolidation_capacity_entity_v1_eth_consolidationCapacity_entity_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: entity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Entity
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
            description: The time window of aggregation
          description: The time window of aggregation
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__23
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__23:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $defs:
              TimeWindow:
                type: string
                enum:
                  - 1d
                  - 7d
                  - 30d
                  - all
                title: TimeWindow
            properties:
              timeWindow:
                $ref: '#/components/schemas/TimeWindow'
              latestEpoch:
                type: integer
                minimum: 0
                title: Latestepoch
              consolidationChurnLimit:
                type: integer
                minimum: 0
                title: Consolidationchurnlimit
              entity:
                type: string
                title: Entity
              consolidatedValidators:
                type: integer
                minimum: 0
                title: Consolidatedvalidators
              consolidatedBalance:
                type: integer
                minimum: 0
                title: Consolidatedbalance
              consolidationCapacityFilled:
                type: number
                minimum: 0
                title: Consolidationcapacityfilled
              networkCapacityRemaining:
                type: number
                minimum: 0
                title: Networkcapacityremaining
            type: object
            required:
              - timeWindow
              - latestEpoch
              - consolidationChurnLimit
              - entity
              - consolidatedValidators
              - consolidatedBalance
              - consolidationCapacityFilled
              - networkCapacityRemaining
            title: NetworkConsolidationChurnCapacityEntity
            examples:
              - consolidatedBalance: 320000000000000
                consolidatedValidators: 10000
                consolidationCapacityFilled: 0.006
                consolidationChurnLimit: 49693200000000000
                entity: Lido
                latestEpoch: 364032
                networkCapacityRemaining: 0.994
                timeWindow: all
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1NetworkConsolidationChurnCapacityEntity
      examples:
        - next: >-
            https://api.rated.network//v1/eth/consolidationCapacity/entity?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/eth/consolidationCapacity/entity?limit=10&offset=10
          results:
            - - consolidatedBalance: 320000000000000
                consolidatedValidators: 10000
                consolidationCapacityFilled: 0.006
                consolidationChurnLimit: 49693200000000000
                entity: Lido
                latestEpoch: 364032
                networkCapacityRemaining: 0.994
                timeWindow: all
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````